# compute Shapiro_Wilkes based on Gaussian random numbers

from numpy.random import seed
from numpy.random import randn
from scipy.stats import shapiro

# seed the random number generator
seed(1)

# generate univariate observations to
# match mean and standard deviation of
# sample SPY close values in 2021
data = 28 * randn(252) + 426

# normality test
stat, p = shapiro(data)
print('Statistics=%.3f, p=%.3f' % (stat, p))

# interpret
alpha = 0.05
if p > alpha:
 print('Numpy generated data looks Gaussian (fail to reject H0)')
else:
 print('Numpy generated data does not look Gaussian (reject H0)') 
