# for Histogram and QQ plots
# of gaussian random univariate values
from numpy.random import seed
from numpy.random import randn
import numpy as np
from matplotlib import pyplot
import statsmodels.api as sm


# seed the random number generator
seed(1)

# generate 252 gaussian random univariate values
# with mean of 426 and standard deviation of 28
# save univariate values in data
data = 28*randn(252)+426

# compute and display 
# count, mean, and standard deviation
# of gaussian random univariate values
print ('data_count', data.size)
print ('data_mean', np.average(data))
print ('data_standard deviation', np.std(data))

# show histogram plot for data
pyplot.hist(data)
pyplot.title('252 Numpy Gaussian Random Numbers in a Histogram')
pyplot.show()

# show qq plot for data
sm.qqplot(data, line='s')
pyplot.title('252 Numpy Gaussian Random Numbers in a QQ Plot')
pyplot.show()
